CSAF
Provides an index to all recent CSAF documents with a summary of their contents, when no parameter is passed. Returns a convenience object as the response with minimal attributes.
List all CSAFs Copy linkLink copied!
- JSON
-
GET /csaf.json - XML
-
GET /csaf.xml - HTML
-
GET /csaf
Parameters Copy linkLink copied!
By default, search will return the first page of 1000 results, ordered by date. To change the page size use the per_page parameter, and then iterate through pages using the page parameter. The following query parameters can be used in combination with each other to retrieve the desired result.
| Name | Description | Example |
|---|---|---|
|
before |
Index of CSAF documents before the query date. [ISO 8601 is the expected format] |
2016-03-01 |
|
after |
Index of CSAF documents after the query date. [ISO 8601 is the expected format] |
2016-02-01 |
|
rhsa_ids |
Index of CSAF documents for RHSA_IDs separated by comma |
RHSA-2018:2748,RHSA-2018:2791 |
|
bug |
Index of CSAF documents for Bugzilla Ids |
1326598,1084875 |
|
cve |
Index of CSAF documents for CVEs |
CVE-2014-0160,CVE-2016-3990 |
|
severity |
Index of CSAF documents for severity |
low,moderate,important,critical |
|
package |
Index of CSAF documents which affect package |
samba,thunderbird |
|
page |
Index of CSAF documents for page number |
Default: 1 |
|
per_page |
Number of index of CSAF documents to return per page |
Default: 1000 |
|
created_days_ago |
Index of CSAF documents created days ago |
10 |
|
isCompressed |
Return response in compressed 'gzip' format |
Default: true |
Retrieve a CSAF Copy linkLink copied!
CSAF details for the RHSA.
The JSON format for the Common Security Advisory Framework (CSAF) is defined by OASIS, see here for the GitHub repository and here for the schema.
For more information about the CSAF/VEX data provided by Red Hat see: https://www.redhat.com/en/blog/csaf-vex-documents-now-generally-available
- JSON
-
CSAF documents are in JSON format; the XML view is a representation of the CSAF data in XML format.
GET /csaf/<RHSA_ID>.json - XML
-
GET /csaf/<RHSA_ID>.xml - Sample Query URLs
-
-
https://access.redhat.com/hydra/rest/securitydata/csaf.json?after=2023-09-01
-
https://access.redhat.com/hydra/rest/securitydata/csaf.json?created_days_ago=10
-
https://access.redhat.com/hydra/rest/securitydata/csaf.json?rhsa_ids=RHSA-2022:6155,RHSA-2023:2378
-
https://access.redhat.com/hydra/rest/securitydata/csaf.json?bug=2053532,2153399
-
https://access.redhat.com/hydra/rest/securitydata/csaf.json?severity=important&created_days_ago=30
-
https://access.redhat.com/hydra/rest/securitydata/csaf.json?package=thunderbird
https://access.redhat.com/hydra/rest/securitydata/csaf/RHSA-2022:6155
-
https://access.redhat.com/hydra/rest/securitydata/csaf/RHSA-2022:6155.xml
-
https://access.redhat.com/hydra/rest/securitydata/csaf/RHSA-2022:6155.json
-
https://access.redhat.com/hydra/rest/securitydata/csaf?isCompressed=false
-
https://access.redhat.com/hydra/rest/securitydata/csaf.json?isCompressed=false
-
https://access.redhat.com/hydra/rest/securitydata/csaf.json?after=2022-11-30&isCompressed=false